<?php
/**
 *
 * @category        frontend
 * @package         account
 * @author          WebsiteBaker Project
 * @copyright       2004-2009, Ryan Djurovich
 * @copyright       2009-2011, Website Baker Org. e.V.
 * @link            https://websitebaker.org/
 * @license         https://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         $Id: forgot.php 267 2019-03-21 16:44:22Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/account/forgot.php $
 * @lastmodified    $Date: 2019-03-21 17:44:22 +0100 (Do, 21. Mrz 2019) $
 *  defined('PAGE_ID') ? PAGE_ID : $page_id
 */

if (!defined( 'SYSTEM_RUN')){ require(dirname(__DIR__).'/config.php'); }
//  Create new frontend object
    if (!isset($wb) || !($wb instanceof \frontend)) { $wb = new \frontend(); }
    $page_id = $oRequest->getParam('page_id',FILTER_VALIDATE_INT);
    $page_id = (isset($_SESSION['PAGE_ID']) && ($_SESSION['PAGE_ID'] > 0) ? $_SESSION['PAGE_ID'] : $page_id);
    $_SESSION['display_form'] = (!isset($_SESSION['display_form']) ? true : $_SESSION['display_form']);
    if (!FRONTEND_LOGIN) {
    //    header('Location: '.WB_URL.'/index.php');
        require(WB_PATH.'/index.php');
        exit(0);
    }
//  Required page details
    $page_description = '';
    $page_keywords = '';
    define('PAGE_ID', $page_id);
    define('ROOT_PARENT', 0);
    define('PARENT', 0);
    define('LEVEL', 0);
    define('PAGE_TITLE', $MENU['FORGOT']);
    define('MENU_TITLE', $MENU['FORGOT']);
    define('VISIBILITY', 'public');
//  Set the page content include file
    define('PAGE_CONTENT', WB_PATH.'/account/forgot_form.php');
//  Set auto authentication to false
    $auto_auth = false;
//  Include the index (wrapper) file
    require(WB_PATH.'/index.php');
