<?php
/*
 * Copyright (C) 2017 Manuela v.d.Decken <manuela@isteam.de>
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT OR THIS HEADER
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License 2 for more details.
 *
 * You should have received a copy of the GNU General Public License 2
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Description of EN
 * @package      CoreTranslation
 * @copyright    Manuela v.d.Decken <manuela@isteam.de>
 * @author       Manuela v.d.Decken <manuela@isteam.de>
 * @license      GNU General Public License 2.0
 * @version      4.0.0
 * @revision     $Id: EN.php 234 2019-03-17 06:05:56Z Luisehahne $
 * @since        File available since 18.10.2017
 * @deprecated   no
 * @description  xxx
 */
//declare(strict_types = 1);
//declare(encoding = 'UTF-8');

if (!defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 Not Found'; flush(); exit; }

$MESSAGE['MEDIA_BLANK_EXTENSION'] = 'You did not enter a file extension';
$MESSAGE['MEDIA_BLANK_NAME'] = 'You did not enter a new name';
$MESSAGE['MEDIA_CANNOT_DELETE_DIR'] = 'Cannot delete the selected folder';
$MESSAGE['MEDIA_CANNOT_DELETE_FILE'] = 'Cannot delete the selected file';
$MESSAGE['MEDIA_CANNOT_RENAME'] = 'Rename unsuccessful';
$MESSAGE['MEDIA_CONFIRM_DELETE_DIR'] = 'Are you sure you want to delete the folder %s completely?';
$MESSAGE['MEDIA_CONFIRM_DELETE_FILE'] = 'Are you sure you want to delete the file %s?';
$MESSAGE['MEDIA_DELETED_DIR'] = 'Folder deleted successfully';
$MESSAGE['MEDIA_DELETED_FILE'] = 'File deleted successfully';
$MESSAGE['MEDIA_DIR_ACCESS_DENIED'] = 'Specified directory does not exist or is not allowed.';
$MESSAGE['MEDIA_DIR_DOES_NOT_EXIST'] = 'Directory does not exist';
$MESSAGE['MEDIA_DIR_DOT_DOT_SLASH'] = 'Cannot include ../ in the folder name';
$MESSAGE['MEDIA_DIR_EXISTS'] = 'A folder matching the name you entered already exists';
$MESSAGE['MEDIA_DIR_MADE'] = 'Folder created successfully';
$MESSAGE['MEDIA_DIR_NOT_MADE'] = 'Unable to create folder';
$MESSAGE['MEDIA_FILE_EXISTS'] = 'A file matching the name you entered already exists';
$MESSAGE['MEDIA_FILE_NOT_FOUND'] = 'File not found';
$MESSAGE['MEDIA_NAME_DOT_DOT_SLASH'] = 'Cannot include ../ in the name';
$MESSAGE['MEDIA_NAME_INDEX_PHP'] = 'Cannot use index.php as the name';
$MESSAGE['MEDIA_NAME_FILETYPE'] = '<b>%s<b> Not allowed file name or file type in input field %d ';
$MESSAGE['MEDIA_NONE_FOUND'] = 'No media found in the current folder';
$MESSAGE['MEDIA_NO_FILE_UPLOADED'] = 'No file was received from a total of %d. No File selected or file already exists';
$MESSAGE['MEDIA_RENAMED'] = 'Rename successful';
$MESSAGE['MEDIA_SINGLE_UPLOADED'] = '%d file was successfully uploaded';
$MESSAGE['MEDIA_MULTI_UPLOADED'] = '%d files were successfully uploaded';
$MESSAGE['MEDIA_ZIP_UPLOADED'] = '%d folder and %d files were successfully uploaded';
$MESSAGE['MEDIA_TARGET_DOT_DOT_SLASH'] = 'Cannot have ../ in the folder target';
$MESSAGE['MEDIA_UPLOADED'] = '%d folder and %d files were successfully uploaded';
$MESSAGE['MEDIA_SIZE_INFO'] = 'Images Resized to %dpx X %dpx';
