<?php
if (!\defined('SYSTEM_RUN')) {require(\dirname(\dirname(\dirname((__DIR__)))).'/config.php');}
if (!\function_exists('make_dir')) {require (WB_PATH.'/framework/functions.php');}
    $oTrans = Translate::getInstance();
    $oTrans->enableAddon(ADMIN_DIRECTORY.'\\pages');
    $admin = new admin('##skip##','start', false, false);
    if (!$admin->is_authenticated() || !$admin->ami_group_member('1')){
        throw new \RuntimeException('Illegal file access!');
    }
    $oDb = \database::getInstance();
    $oRequest = \bin\requester\HttpRequester::getInstance();
    $page_id  = $oRequest->getParam('page_id', \FILTER_SANITIZE_NUMBER_INT);
    if ($page_id) {
        $sSql = 'SELECT `link` FROM `'.TABLE_PREFIX.'pages` WHERE `page_id` = '.$page_id;
        if ($sFilename = $oDb->get_one($sSql)){
            $sFile = basename($sFilename);
            $aPath = array_diff(explode('/',$sFilename),['',$sFile]);
            $sNewStyle = '/'.ltrim(implode('/',$aPath).'/'.page_filename($sFile), '/');
            $sOldStyle = $sFilename;
        echo sprintf('<div class="help-container" style="padding:10px;">
        <h4>Einstellung Format der Zugriffs Dateien für aktualisierte WebsiteBaker 2.8.x Versionen</h4
        <p>Aktuelles Verzeichnis und Dateiname der Zugriffsdatei dieser Seite <strong>%1$s</strong></p>
        <p> Feld <strong>%5$s</strong> Checkbox a) <strong>%6$s</strong> b) <strong>%7$s</strong> </p>
        <ol class="pages-help">
            <li>a) Ergebnis nach Speichern Neues Datei Format <strong>%2$s</strong></li>
            <li>b) Ergebnis nach Speichern Altes Datei Format <strong>%3$s</strong></li>
        </ol>
        <p>In dem Feld <strong>%4$s</strong> kann unabhängig von Menü- oder Seitentitel ein gut lesbarer und aussagekräftiger Dateinamen für die Zugriffsdatei erstellt werden. Wird gerne zur Erstellung und Indizierung SEO-freundlicher Links benutzt.<br/>
        <p><strong>Beispiele Neues Format:</strong></p>
        <p>Eingabe Menütitel: <strong>Pressemitteilung</strong><br />
        Eingabe Dateiname: <strong>Pressemitteilung - und - Downloads</strong><br />
        Erstellt Zugriffsdatei: <strong>pressemitteilungen-und-downloads.php</strong></p>
        <p><strong>Beispiele Altes Format:</strong></p>
        <p>Eingabe Menütitel: <strong>Pressemitteilung</strong><br />
        Eingabe Dateiname: <strong>Pressemitteilung -  und -  Downloads</strong><br />
        Erstellt Zugriffsdatei: <strong>pressemitteilungen---und---downloads.php</strong></p><div>',
        $sFilename,$sNewStyle,$sOldStyle,$oTrans->TEXT_SEO_TITLE,$oTrans->TEXT_PAGE_NEWSTYLE,$oTrans->TEXT_ENABLED,$oTrans->TEXT_DISABLED
        );
        } else {
            throw new \RuntimeException(sprintf("%s\n%s",$oDb->get_error(),$sSql));
        }

    }
