<?php

/* -------------------------------------------------------- */
if (!defined('WB_PATH') ){ require( dirname(dirname(dirname((__DIR__)))).'/config.php' ); }
/* -------------------------------------------------------- */

try {

    $admin = new admin('##skip##', false,false);
    $sAbsAddonPath = WB_PATH.'/modules/captcha_control';
    if (is_readable($sAbsAddonPath.'/languages/EN.php')) {require($sAbsAddonPath.'/languages/EN.php');}
    if (is_readable($sAbsAddonPath.'/languages/'.DEFAULT_LANGUAGE.'.php')) {require($sAbsAddonPath.'/languages/'.DEFAULT_LANGUAGE.'.php');}
    if (is_readable($sAbsAddonPath.'/languages/'.LANGUAGE.'.php')) {require($sAbsAddonPath.'/languages/'.LANGUAGE.'.php');}

    if(!function_exists('display_captcha_real')) {require (WB_PATH.'/include/captcha/captcha.php');}
    if (isset($_GET['captchaId'])){ $mIdKey = $admin->StripCodeFromText($_GET['captchaId']);}

    $col = 1;
    if(isset($_GET['col']) && is_numeric($_GET['col'])){$col = abs($_GET['col']);}
    if (!in_array($col,['0','1'])){
        throw new Exception( 'Unexepted color parameter');
    }
    $_SESSION['captcha'.$mIdKey] = '';
    mt_srand((double)microtime()*1000000);
    $n = mt_rand(1,3);
    switch ($n) {
        case 1:
            $x = mt_rand(1,9);
            $y = mt_rand(1,9);
            $_SESSION['captcha'.$mIdKey] = $x + $y;
            $cap = ("$x {$MOD_CAPTCHA['ADDITION']} $y");
            break;
        case 2:
            $x = mt_rand(10,20);
            $y = mt_rand(1,9);
            $_SESSION['captcha'.$mIdKey] = $x - $y;
            $cap = ("$x {$MOD_CAPTCHA['SUBTRAKTION']} $y");
            break;
        case 3:
            $x = mt_rand(2,10);
            $y = mt_rand(2,5);
            $_SESSION['captcha'.$mIdKey] = $x * $y;
            $cap = ("$x {$MOD_CAPTCHA['MULTIPLIKATION']} $y");
            break;
    }

    $bg         = WB_PATH.'/include/captcha/bg_16.png';
    $FontFile   = (dirname(__DIR__).'/fonts/LLBd_cond.ttf');
    $iFontsize  = 20;
    $iFontangle = 0;
    $iTextLen   = mb_strlen($cap)*$iFontsize;

    // Create a  image
    if (is_readable(WB_PATH.'/include/captcha/bg_16.png')){
        $bg  = WB_PATH.'/include/captcha/bg_16.png';
        list ($width, $height, $type, $attr) = getimagesize($bg);
    } else {
          $width = 140;
          $height = 40;
          $attr   = 3;
    }
    $image     = imagecreate ($width+$iTextLen, $height+4) or die ("Cannot Create image");
    $bgcolor   = ImageColorAllocate ($image, 255, 255, 255);

    if ($col==1){
        $textcolor = ImageColorAllocate ($image, 0, 0, 0);
#        \trigger_error(\sprintf('Text-Farbe %d schwarz',$col), E_USER_WARNING);
    } else {
        $textcolor = ImageColorAllocate ($image, 255, 255, 255);
#        \trigger_error(\sprintf('Text-Farbe %d weiss',$col), E_USER_WARNING);
    }

    $box    = imagettfbbox($iFontsize,$iFontangle,$FontFile, $cap);
    $box[2] += 8;
    $box[5]  = abs ( $box[5]-10 );
    $min_x   = min( array($box[0], $box[2], $box[4], $box[6]) );
    $max_x   = max( array($box[0], $box[2], $box[4], $box[6]) );
    $min_y   = min( array($box[1], $box[3], $box[5], $box[7]) );
    $max_y   = max( array($box[1], $box[3], $box[5], $box[7]) );
    $width   = ( $max_x - $min_x);
    $height  = ( $max_y - $min_y );
    $left    = abs( $min_x ) + $width;  //
    $top     = abs( $min_y ) + $height;  //

    $x         = $max_x;//; $width
    $y         = $max_y;//; $height

    imagestring ($image, $iFontsize, $x, $y, $cap, $textcolor);
    // Make the background transparent
    imagecolortransparent($image, $bgcolor);
/* */
    // create reload-image
    $reload    = ImageCreateFromPNG(WB_PATH.'/include/captcha/reload_140_40.png'); // reload-overlay
    imagecolortransparent($reload, $bgcolor);
    imagealphablending($reload, true);
    imagesavealpha($reload, true);
    // overlay
    $dst_x = $box[5]-15;
    $dst_y = 10;
    $src_x = $width;
    $src_y = $box[5];
    $src_w = 200;
    $src_h = 40;
    imagecopy($reload, $image, $dst_x,  $dst_x, $src_x ,$src_y, $src_w,$src_h);
    imagedestroy($image);

    if(!function_exists('captcha_header')) {
        throw new Exception( 'Can\'t call function captcha_header');
    }
/* */
    ob_start();
    captcha_header();
    imagepng($reload);
    header("Content-Length: ".ob_get_length());
    ob_get_flush();
    imagedestroy($reload);

} catch (RuntimeException  $ex) {
//    exit;

} catch (Exception $ex) {
    if (!function_exists('xnl2br')){include WB_PATH.'/framework/functions.php';}
    $sErrorMsg = xnl2br(\sprintf('[%d] %s', $ex->getLine(), $ex->getMessage()));
//    \trigger_error($sErrorMsg, E_USER_WARNING);
}

