<?php
/**
 *
 * @category        modules
 * @package         captcha_control
 * @author          WebsiteBaker Project
 * @copyright       Ryan Djurovich
 * @copyright       WebsiteBaker Org. e.V.
 * @link            https://websitebaker.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.3
 * @requirements    PHP 5.6 and higher
 * @version         $Id: install.php 311 2019-03-27 23:37:34Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/captcha_control/install.php $
 * @lastmodified    $Date: 2019-03-28 00:37:34 +0100 (Do, 28. Mrz 2019) $
 *
 */
if (!\defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 Not Found'; flush(); exit; }

    $globalStarted = preg_match('/upgrade\-script\.php$/', $_SERVER["SCRIPT_NAME"]);
    $sWbVersion = (defined('VERSION') ? VERSION : WB_VERSION);
    if (version_compare($sWbVersion, '2.11.0', '<')){
        throw new Exception ('It is not possible to install from WebsiteBaker Versions before 2.11.0');
    }
    // create tables from sql dump file
    if (is_readable(__DIR__.'/install-struct.sql.php')) {
        $database->SqlImport(__DIR__.'/install-struct.sql.php', TABLE_PREFIX, __FILE__ );
    }
    if (is_readable(__DIR__.'/install-data.sql.php')) {
        $database->SqlImport(__DIR__.'/install-data.sql.php', TABLE_PREFIX, __FILE__ );
    }
    $msg = 'captcha_control::'.$database->get_error();
