<?php
/**
 *
 * @category        modules
 * @package         code
 * @author          WebsiteBaker Project
 * @copyright       WebsiteBaker Org. e.V.
 * @link            http://websitebaker.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.3
 * @requirements    PHP 5.3.6 and higher
 * @version         $Id: install.php 280 2019-03-22 01:03:06Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/code/install.php $
 * @lastmodified    $Date: 2019-03-22 02:03:06 +0100 (Fr, 22. Mrz 2019) $
 *
 */

if (!\defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 Not Found'; \flush(); exit;}

    $globalStarted = \preg_match('/upgrade\-script\.php$/', $_SERVER["SCRIPT_NAME"]);
    $sWbVersion = ($globalStarted && \defined('VERSION') ? VERSION : WB_VERSION);
    if (\version_compare($sWbVersion, '2.11.0', '<')){
        throw new \Exception ('It is not possible to install from WebsiteBaker Versions before 2.11.0');
    }
    // create tables from sql dump file
    if (\is_readable(__DIR__.'/install-struct.sql.php')) {
        $database->SqlImport(__DIR__.'/install-struct.sql.php', TABLE_PREFIX, 'install' );
    }
