<?php
/**
 *
 * @category        module
 * @package         Form
 * @author          WebsiteBaker Project
 * @copyright       WebsiteBaker Org. e.V.
 * @link            http://wwebsitebaker.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.3
 * @requirements    PHP 5.3.6 and higher
 * @version         $Id: add.php 68 2018-09-17 16:26:08Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/form/add.php $
 * @lastmodified    $Date: 2018-09-17 18:26:08 +0200 (Mo, 17. Sep 2018) $
 * @description
 */
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if (!defined('SYSTEM_RUN')) {header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 File not found'; flush(); exit;
/* -------------------------------------------------------- */
} else {
    $table_name = TABLE_PREFIX.'mod_form_settings';
    $field_name = 'perpage_submissions';
    $description = "INT NOT NULL DEFAULT '10' AFTER `max_submissions`";
    if(!$database->field_exists($table_name,$field_name)) {
        $database->field_add($table_name, $field_name, $description);
    }
    if (is_readable(__DIR__.'/data/layouts/Default_Layout.inc.php')){require (__DIR__.'/data/layouts/Default_Layout.inc.php');}
    $email_to = '';
    $email_from = '';
    $email_fromname = '';
    $email_subject = '';
    $success_page = 0;
    $success_email_to = '';
    $success_email_from = '';
    $success_email_fromname = '';
    $success_email_text = '';
    // $success_email_text = addslashes($success_email_text);
    $success_email_subject = '';
    $max_submissions = 50;
    $stored_submissions = 0;
    $perpage_submissions = 10;
    $use_captcha = true;
    $captcha_action = 'all';
    $captcha_style = '';
    $layout = '';
    // Insert settings
    $sql  = 'INSERT INTO  `'.TABLE_PREFIX.'mod_form_settings` SET '
          . '`section_id` = '.(int)($section_id).', '
          . '`page_id` = '.(int)($page_id).', '
          . '`header` = \''.$database->escapeString($header).'\', '
          . '`field_loop` = \''.$database->escapeString($field_loop).'\', '
          . '`extra` = \''.$database->escapeString($extra).'\', '
          . '`footer` = \''.$database->escapeString($footer).'\', '
          . '`email_to` = \''.$database->escapeString($email_to).'\', '
          . '`email_from` = \''.$database->escapeString($email_from).'\', '
          . '`email_fromname` = \''.$database->escapeString($email_fromname).'\', '
          . '`email_subject` = \''.$database->escapeString($email_subject).'\', '
          . '`success_page` = '.(int)($success_page).', '
          . '`success_email_to` = \''.$database->escapeString($success_email_to).'\', '
          . '`success_email_from` = \''.$database->escapeString($success_email_from).'\', '
          . '`success_email_fromname` = \''.$database->escapeString($success_email_fromname).'\', '
          . '`success_email_text` = \''.$database->escapeString($success_email_text).'\', '
          . '`success_email_subject` = \''.$database->escapeString($success_email_subject).'\', '
          . '`max_submissions` = '.(int)($max_submissions).', '
          . '`stored_submissions` = '.(int)($stored_submissions).', '
          . '`perpage_submissions` = '.(int)($perpage_submissions).', '
          . '`use_captcha` = '.(int)($use_captcha).', '
          . '`captcha_action` = \''.$database->escapeString($captcha_action).'\', '
          . '`captcha_style` = \''.$database->escapeString($captcha_style).'\', '
          . '`layout` = \''.$database->escapeString($layout).'\' ';
   if (!$database->query($sql)) { }
}
