<?php
/**
 *
 * @category        modules
 * @package         news
 * @author          WebsiteBaker Project
 * @copyright       WebsiteBaker Org. e.V.
 * @link            https://websitebaker.org/
 * @license         https://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.12.1
 * @requirements    PHP 5.6 and higher
 * @version         $Id: modify.php 370 2019-06-11 17:55:53Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/news/modify.php $
 * @lastmodified    $Date: 2019-06-11 19:55:53 +0200 (Di, 11. Jun 2019) $
 *
 */
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if (!\defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 Not Found'; \flush(); exit; }
/* -------------------------------------------------------- */
//overwrite php.ini on Apache servers for valid SESSION ID Separator
if (\function_exists('ini_set')) {
    \ini_set('arg_separator.output', '&amp;');
}

$sql = 'DELETE FROM `'.TABLE_PREFIX.'mod_news_posts`  WHERE `section_id` = 0 OR title=\'\'';
$database->query($sql);

$sql = 'DELETE FROM `'.TABLE_PREFIX.'mod_news_groups`  WHERE `section_id` = 0 OR title=\'\'';
$database->query($sql);

$sAppUrl = WB_URL;
$sModulName = \basename(__DIR__);
$ModuleRel = '/modules/'.\basename(__DIR__).'/';
$sAddonUrl = $ModuleUrl = WB_URL.'/modules/'.\basename(__DIR__).'/';
$ModulePath = WB_PATH.'/modules/'.\basename(__DIR__).'/';
$sAddonThemeUrl = $sAddonUrl.'templates/default/';
$sAbsAddonPath = WB_PATH.'/modules/'.\basename(__DIR__).'/';

$FTAN = $admin->getFTAN('');
$sFtan = $FTAN['name'].'='.$FTAN['value'];
// load module language file
$sModulName = $sAddonName = \basename(__DIR__);

if (\is_readable($sAbsAddonPath.'languages/EN.php')) {require($sAbsAddonPath.'/languages/EN.php');}
if (\is_readable($sAbsAddonPath.'languages/'.DEFAULT_LANGUAGE.'.php')) {require($sAbsAddonPath.'/languages/'.DEFAULT_LANGUAGE.'.php');}
if (\is_readable($sAbsAddonPath.'languages/'.LANGUAGE.'.php')) {require($sAbsAddonPath.'/languages/'.LANGUAGE.'.php');}

$oLang = \Translate::getInstance();
$oLang->enableAddon('modules\\'.\basename(__DIR__));
if (!function_exists('make_dir')){ require(WB_PATH.'/framework/functions.php');}

?>
<script>
<!--
    var News = {
        WB_URL : '<?php echo $sAppUrl;?>',
        AddonUrl : '<?php echo $sAddonUrl;?>',
        THEME_URL : '<?php echo THEME_URL;?>',
        ThemeUrl:  '<?php echo $sAddonThemeUrl;?>'
    };
-->
</script>

<table class="w3-table" style="width: 100%;">
    <tbody>
        <tr style="width: 100%; line-height: 2.825em;">
            <td style="width: 25%;">
                <form action="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/add_post.php" method="get" >
                    <input type="hidden" value="<?php echo $page_id; ?>" name="page_id">
                    <input type="hidden" value="<?php echo $section_id; ?>" name="section_id">
                    <input type="hidden" value="<?php echo $FTAN['value'];?>" name="<?php echo $FTAN['name'];?>">
                    <input type="submit" value="<?php echo $MOD_NEWS['TEXT_ADD_POST']; ?>" class="btn btn-default w3-blue-wb w3-round-small w3-hover-green w3-medium w3-padding-4" style="width: 100%;" />
                </form>
            </td>
            <td style="width: 25%;">
                <form action="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/add_group.php" method="get" >
                    <input type="hidden" value="<?php echo $page_id; ?>" name="page_id">
                    <input type="hidden" value="<?php echo $section_id; ?>" name="section_id">
                    <input type="hidden" value="<?php echo $FTAN['value'];?>" name="<?php echo $FTAN['name'];?>">
                    <input type="submit" value="<?php echo $MOD_NEWS['TEXT_ADD_GROUP']; ?>" class="btn btn-default w3-blue-wb w3-round-small w3-hover-green w3-medium w3-padding-4" style="width: 100%;" />
                </form>
            </td>
<?php if ($admin->get_permission('modules_settings') ) {  ?>
            <td style="width: 25%;">
                <form action="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/modify_settings.php" method="get" >
                    <input type="hidden" value="<?php echo $page_id; ?>" name="page_id">
                    <input type="hidden" value="<?php echo $section_id; ?>" name="section_id">
                    <input type="hidden" value="<?php echo $FTAN['value'];?>" name="<?php echo $FTAN['name'];?>">
                    <input type="submit" value="<?php echo $TEXT['SETTINGS']; ?>" class="btn btn-default w3-blue-wb w3-round-small w3-hover-green w3-medium w3-padding-4" style="width: 100%;" />
                </form>
            </td>
<?php } ?>
<?php if ($admin->ami_group_member('1') ) {  ?>
            <td style="width: 25%;">
                <form action="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/reorgPosition.php" method="get" >
                    <input type="hidden" value="<?php echo $page_id; ?>" name="page_id">
                    <input type="hidden" value="<?php echo $section_id; ?>" name="section_id">
                    <input type="hidden" value="<?php echo $FTAN['value'];?>" name="<?php echo $FTAN['name'];?>">
                    <input type="submit" value="Reorg Position" class="btn btn-default w3-blue-wb w3-round-small w3-hover-green w3-medium w3-padding-4" style="width: 100%;" />
                </form>
            </td>
<?php } ?>
        </tr>
    </tbody>
</table>

<br />

<h2><?php echo $MOD_NEWS['TEXT_MODIFY_POST']; ?></h2>

<?php

    $sql  = 'SELECT `order`, `order_field` FROM `'.TABLE_PREFIX.'mod_news_settings` '
          . 'WHERE `section_id` = '.$section_id.' ';
    if (!$oOrder = $database->query($sql)){
        throw new Exception($database->get_error());
    }
    $aOrder = $oOrder->fetchRow(MYSQLI_ASSOC);

    $bDragDrop  = 'jsadmin';
    $iTableHeight = 464;
// Loop through existing posts
    $sql  = 'SELECT * FROM `'.TABLE_PREFIX.'mod_news_posts` '
          . 'WHERE `section_id` = '.$section_id.' '
          . 'ORDER BY `'.$aOrder['order_field'].'` '.$aOrder['order'];
    $oPosts = $database->query($sql);
    if ($oPosts->numRows() > 0) {
        $num_posts = $oPosts->numRows();
        $iTableHeight = ($num_posts > 15 ? '464px' : 'auto');
        if (($aOrder['order'] != 'DESC') && ($aOrder['order_field']=='position')) {
             $bNoSort = true;
?>
          <div class="jsadmin hide"></div>
<?php   } else { $bNoSort = false; ?>
          <p class="frm-warning w3-padding w3-section w3-sand w3-leftbar w3-medium w3-border-green w3-hover-border-green"><?php echo $oLang->MOD_NEWS_TEXT_ORDER ;?></p>
<?php   } ?>
<div class="w3-row w3-padding-4" style="width: 100%;">
    <div class="w3-col m2 l2">
        <select name="TableHeight" id="TableHeight" class="w3-select w3-border w3-left" style="visibility: hidden;">
            <option value="15">15</option>
            <option value="50">50</option>
            <option value="100">100</option>
        </select>
    </div>
    <div class="w3-col m8 l8">&nbsp;</div>
    <div class="w3-col m2 l2">
        <div class="input-container">
        <i class="fa fa-search icon">&#160;</i>
        <input class="input-field w3-input w3-border" placeholder="Search" id="tableInput" onkeyup="tableSelect(this)" type="text" value="" style="width:auto;"/>
        </div>
    </div>
</div>

<div id="table-scroll" class="table-scroll table-scrollable" style="height: <?php echo $iTableHeight;?>;width: auto;">
    <div id="faux-table" class="faux-table" ></div>
    <div id="table-wrap" class="table-wrap">
        <table class="w3-table-all w3-border w3-hoverable w3-stripped main-table mobile-optimised" id="main-table" style="width:100%!important;">
            <thead>
                <tr class="w3-header-blue-wb">
                    <th scope="col" style="width: 0px;">&#160;</th>
                    <th scope="col" >ID</th>
                    <th scope="col">Edit</th>
                    <th scope="col">&#160;</th>
                    <th scope="col" style="width: 80px;"><?php print $TEXT['MODIFIED']; ?></th>
                    <th scope="col"><?php print $TEXT['POST']; ?></th>
                    <th scope="col"><?php print $TEXT['GROUP']; ?></th>
                    <th scope="col"><?php print $TEXT['COMMENTS']; ?></th>
                    <th scope="col"><?php print $TEXT['ACTIVE']; ?></th>
                    <th scope="col">&#160;</th>
                    <th scope="col">&#160;</th>
                    <th scope="col">&#160;</th>
                    <th scope="col">&#160;</th>
                    <th scope="col">Pos</th>
                </tr>
            </thead>
            <tbody id="tableResult">
<?php
        while($post = $oPosts->fetchRow( \MYSQLI_ASSOC )) {
            $pid = $admin->getIDKEY($post['post_id']);
            $sid = $admin->getIDKEY($section_id);
            $iPostId  = \intval($post['post_id']);
            $group_id = \intval($post['group_id']);
            $sGroupImageRel = MEDIA_DIRECTORY.'/.news/image'.$group_id.'.jpg';
            $sGroupImage = (\is_readable(WB_PATH.$sGroupImageRel) ? WB_URL.$sGroupImageRel : THEME_URL.'/images/blank_16.gif' );
            if ($post['active'] == 1) {
                $activ_string = $TEXT['ENABLED'];
            } else {
                $activ_string = $TEXT['DISABLED'];
            }
?>
            <tr class=" sectionrow">
                <td style="width: auto;height: auto;text-align: center;" class="w3-check"><i class="fa fa-arrows w3-hide"></i></td>
                <td class="w3-center"><?php echo $iPostId;?></td>
                <td class="w3-center">
                    <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/modify_post.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
                        <img src="<?php echo THEME_URL; ?>/images/modify_16.png"  alt="Modify - " />
                    </a>
                </td>
                <td class="w3-center">
                    <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/modify_post.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
                        <img src="<?php echo $sGroupImage; ?>" width="18" alt="" />
                    </a>
                </td>
                <td style="white-space: nowrap;"><?php echo date(DATE_FORMAT, $post['published_when']+TIMEZONE); ?></td>
                <td>
                    <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/modify_post.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>">
                        <?php echo ($post['title']); ?>
                    </a>
                </td>
                <td>
<?php
                    // Get group title
                    $sqlGroups  = 'SELECT `title`   FROM `'.TABLE_PREFIX.'mod_news_groups`  WHERE `group_id` = \''.$post['group_id'].'\'';
                    $oGroups = $database->query($sqlGroups);
                    if($oGroups->numRows() > 0) {
                        $fetch_title = $oGroups->fetchRow( MYSQLI_ASSOC );
                        echo ($fetch_title['title']);
                    } else {
                        echo $TEXT['NONE'];
                    }
?>
                </td>
                <td class="w3-center">
<?php
                    // Get number of comments
                    $sqlComment = 'SELECT COUNT(*) `iComment` FROM `'.TABLE_PREFIX.'mod_news_comments`'
                                .' WHERE `post_id` = '.(int)$post['post_id'].'';
                    $iComment = $database->get_one($sqlComment);
                    echo $iComment;
?>
                </td>
                <td id="id_<?php echo $iPostId; ?>" class="toggle_active_status w3-center">
                    <img class="cursor-pointer" id="active_<?php echo $iPostId; ?>" src="<?php echo $sAddonThemeUrl; ?>img/24/status_<?php echo (int)$post['active'];?>.png" alt=""  />
                </td>
                <td>
<?php
                $start = $post['published_when'];
                $end = $post['published_until'];
                $now = time();
                $icon = '';
                if($start<=$now && $end==0)
                    $icon=THEME_URL.'/images/noclock_16.png';
                elseif(($start<=$now || $start==0) && $end>=$now)
                    $icon=THEME_URL.'/images/clock_16.png';
                else
                    $icon=THEME_URL.'/images/clock_red_16.png';
?>
                <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/modify_post.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
                    <img class="cursor-pointer" src="<?php echo $icon; ?>" alt="" />
                </a>
                </td>
                <td>
<?php if (($aOrder['order']=='DESC') && ($post['position'] > 1) && ($post['position'] < $num_posts) && $bNoSort) { ?>
                    <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/move_down.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>&amp;move_id=<?php echo $iPostId; ?>&amp;position=<?php echo $post['position']; ?>&amp;module=<?php echo $sModulName; ?>" title="<?php echo $TEXT['MOVE_UP']; ?>">
                        <img class="cursor-pointer" src="<?php echo THEME_URL; ?>/images/up_16.png" alt="^" />
                    </a>
<?php } else if (($post['position'] > 1) && ($post['position'] < $num_posts) && $bNoSort) { ?>
                    <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/move_up.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>&amp;move_id=<?php echo $iPostId; ?>&amp;position=<?php echo $post['position']; ?>&amp;module=<?php echo $sModulName; ?>" title="<?php echo $TEXT['MOVE_UP']; ?>">
                        <img class="cursor-pointer" src="<?php echo THEME_URL; ?>/images/up_16.png" alt="^" />
                    </a>
<?php } else if ((empty($aOrder['order']) || ($aOrder['order']=='ASC')) && ($post['position'] == $num_posts) && $bNoSort){ ?>
                    <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/move_up.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>&amp;move_id=<?php echo $iPostId; ?>&amp;position=<?php echo $post['position']; ?>&amp;module=<?php echo $sModulName; ?>" title="<?php echo $TEXT['MOVE_UP']; ?>">
                        <img class="cursor-pointer" src="<?php echo THEME_URL; ?>/images/up_16.png" alt="^" />
                    </a>
<?php } else if (($aOrder['order']=='DESC')&&($post['position'] == 1) && $bNoSort){ ?>
                    <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/move_down.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>&amp;move_id=<?php echo $iPostId; ?>&amp;position=<?php echo $post['position']; ?>&amp;module=<?php echo $sModulName; ?>" title="<?php echo $TEXT['MOVE_UP']; ?>">
                        <img class="cursor-pointer" src="<?php echo THEME_URL; ?>/images/up_16.png" alt="^" />
                    </a>
<?php } else { ?>
                        <img src="<?php echo THEME_URL; ?>/images/blank_16.gif" alt="" />
<?php } ?>
                </td>
                <td class="active" style="text-align: center;">
<?php if (($aOrder['order']=='DESC')&&($post['position'] > 1)&&($post['position'] < $num_posts) && $bNoSort) { ?>
                    <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/move_up.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>&amp;move_id=<?php echo $iPostId; ?>&amp;position=<?php echo $post['position']; ?>&amp;module=<?php echo $sModulName; ?>" title="<?php echo $TEXT['MOVE_DOWN']; ?>">
                        <img class="cursor-pointer" src="<?php echo THEME_URL; ?>/images/down_16.png" alt="v" />
                    </a>
<?php } else if ((empty($aOrder['order'])||($aOrder['order']=='ASC'))&&($post['position'] < $num_posts) && $bNoSort){ ?>
                    <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/move_down.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>&amp;move_id=<?php echo $iPostId; ?>&amp;position=<?php echo $post['position']; ?>&amp;module=<?php echo $sModulName; ?>" title="<?php echo $TEXT['MOVE_DOWN']; ?>">
                        <img class="cursor-pointer" src="<?php echo THEME_URL; ?>/images/down_16.png" alt="^" />
                    </a>
<?php } else if (($aOrder['order']=='DESC')&&($post['position'] == $num_posts) && $bNoSort){ ?>
                    <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/move_up.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>&amp;move_id=<?php echo $iPostId; ?>&amp;position=<?php echo $post['position']; ?>&amp;module=<?php echo $sModulName; ?>" title="<?php echo $TEXT['MOVE_DOWN']; ?>">
                        <img class="cursor-pointer" src="<?php echo THEME_URL; ?>/images/down_16.png" alt="^" />
                    </a>
<?php } else { ?>
                        <img src="<?php echo THEME_URL; ?>/images/blank_16.gif" alt="" />
<?php } ?>
                </td>
                <td class="w3-center">
                    <a class="cursor-pointer" onclick="confirm_link('<?php echo $TEXT['ARE_YOU_SURE']; ?>','<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/delete_post.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;post_id=<?php echo $pid; ?>');" title="<?php echo $TEXT['DELETE']; ?>">
                        <img class="cursor-pointer" src="<?php echo THEME_URL; ?>/images/delete_16.png" alt="X" />
                    </a>
                </td>
                <td class="w3-right"><?php echo $post['position']; ?></td>
            </tr>
<?php     } ?>
            </tbody>
        </table>
    </div>
</div>
<?php } else { ?>
   <table>
        <tbody>
          <tr class="w3-section">
            <td class="w3-text-blue-wb w3-large w3-margin"><?php echo $TEXT['NONE_FOUND'] ?></td>
          </tr>
        </tbody>
   </table>
<?php } ?>

<h2><?php echo $MOD_NEWS['TEXT_MODIFY_GROUP']; ?></h2>
<?php
// Loop through existing groups
$query_groups = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_news_groups` WHERE section_id = '$section_id' ORDER BY position");
if($query_groups->numRows() > 0) {
    $num_groups = $query_groups->numRows();
    $iGroupHeight = ($num_groups > 15 ?'464px' : 'auto')
?>
<div class="w3-row w3-padding-4" style="width: 100%;">
    <div class="w3-col m2 l2">
        <select name="GroupHeight" id="GroupHeight" class="w3-select w3-border w3-left" style="visibility: hidden;">
            <option value="15">15</option>
            <option value="50">50</option>
            <option value="100">100</option>
        </select>
    </div>
    <div class="w3-col m8 l8">&nbsp;</div>
    <div class="w3-col m2 l2">
        <div class="input-container">
        <i class="fa fa-search icon">&#160;</i>
        <input class="input-field w3-input w3-border" placeholder="Search" id="groupInput" onkeyup="groupSelect(this)" type="text" value="" style="width:auto;"/>
        </div>
    </div>
</div>
<div class="group-scroll table-scrollable" id="group-scroll" style="height: <?php echo $iGroupHeight;?>;width: auto;">
<div id="faux-group" class="faux-table" ></div>
<div class="group-wrap" id="group-wrap">
    <table class="w3-table-all w3-border w3-hoverable w3-stripped group-table mobile-optimised" id="group-table">
        <thead>
            <tr class="w3-header-blue-wb">
                <th scope="col" >&#160;</th>
                <th scope="col"><span> ID </span></th>
                <th scope="col"><span><?php print 'Edit'; ?></span></th>
                <th scope="col" class="action"><span>&#160;</span></th>
                <th scope="col" class="action"><span>&#160;</span></th>
                <th scope="col" style="padding-left: 5px; text-align: left; width: 72%;"><?php print $TEXT['GROUP']; ?></th>
                <th scope="col" class="active" style=" text-align: left; " ><span><?php print $TEXT['ACTIVE']; ?></span></th>
                <th scope="col" class="action"><span>&#160;</span></th>
                <th scope="col" class="action"><span>&#160;</span></th>
                <th scope="col" class="action"><span>&#160;</span></th>
                <th scope="col" class="action"><span>&#160;</span></th>
                <th scope="col" style="padding-right: 8px; "><span>Pos</span></th>
            </tr>
        </thead>
        <tbody id="groupResult">
    <?php
    while($group = $query_groups->fetchRow( MYSQLI_ASSOC )) {
        $iGroupId = $gid = $admin->getIDKEY($group['group_id']);
        $iGroupId = ($group['group_id']);
        $sGroupImageRel = MEDIA_DIRECTORY.'/.news/image'.$iGroupId.'.jpg';
        $sGroupImage = (is_readable(WB_PATH.$sGroupImageRel) ? WB_URL.$sGroupImageRel : THEME_URL.'/images/blank_16.gif' );
        ?>
        <tr>
            <td style="width: auto;height: auto;text-align: center;" class="w3-check"><i class="fa fa-arrows w3-hide"></i></td>
            <td class="w3-center"><span><?php echo $iGroupId;?></span></td>
            <td class="w3-center">
                <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/modify_group.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;group_id=<?php echo $gid; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
                    <img src="<?php echo THEME_URL; ?>/images/modify_16.png" alt="Modify - " />
                </a>
            </td>
            <td class="w3-center">
                <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/modify_group.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;group_id=<?php echo $gid; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
                    <img src="<?php echo $sGroupImage; ?>" width="18" alt="" />
                </a>
            </td>
            <td  class="w3-center" style="width: 10%;"><span>&#160;</span></td>
            <td>
                <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/modify_group.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;group_id=<?php echo $gid; ?>">
                    <?php echo $group['title']; ?>
                </a>
            </td>
            <td id="group_<?php echo $iGroupId; ?>" class="toggle_active_group w3-center">
                <img class="cursor-pointer"  src="<?php echo $sAddonThemeUrl; ?>img/24/status_<?php echo (int)$group['active'];?>.png" alt=""  />
            </td>
            <td class="w3-center">
                <img class="cursor-pointer"  src="<?php echo THEME_URL; ?>/images/blank_16.gif" alt=""  />
            </td>
            <td class="w3-center action">
<?php if($group['position'] != 1 ) { ?>
                <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/move_up.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;group_id=<?php echo $gid; ?>&amp;move_id=<?php echo $group['group_id']; ?>&amp;position=<?php echo $group['position']; ?>&amp;module=<?php echo $sModulName; ?>" title="<?php echo $TEXT['MOVE_UP']; ?>">
                    <img class="cursor-pointer" src="<?php echo THEME_URL; ?>/images/up_16.png" alt="^" />
                </a>
<?php } else { ?>
                    <img src="<?php echo THEME_URL; ?>/images/blank_16.gif" alt="" />
<?php } ?>
            </td>
            <td class="w3-center">
<?php if($group['position'] != $num_groups ) { ?>
                <a href="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/move_down.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;group_id=<?php echo $gid; ?>&amp;move_id=<?php echo $group['group_id']; ?>&amp;position=<?php echo $group['position']; ?>&amp;module=<?php echo $sModulName; ?>" title="<?php echo $TEXT['MOVE_DOWN']; ?>">
                    <img class="cursor-pointer" src="<?php echo THEME_URL; ?>/images/down_16.png" alt="v" />
                </a>
<?php } else { ?>
                    <img src="<?php echo THEME_URL; ?>/images/blank_16.gif" alt="" />
<?php } ?>
            </td>
            <td class="w3-center">
                <a class="cursor-pointer" onclick="confirm_link('<?php echo $TEXT['ARE_YOU_SURE']; ?>','<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/delete_group.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>&amp;group_id=<?php echo $gid; ?>');" title="<?php echo $TEXT['DELETE']; ?>">
                    <img class="cursor-pointer" src="<?php echo THEME_URL; ?>/images/delete_16.png" alt="X" />
                </a>
            </td>
            <td class="w3-right"><?php echo $group['position']; ?></td>
        </tr>
<?php     } // end while ?>
        </tbody>
    </table>
  </div>
</div>
<?php } else { ?>
   <table>
        <tbody>
          <tr class="w3-section">
            <td class="w3-text-blue-wb w3-large w3-margin"><?php echo $TEXT['NONE_FOUND'] ?></td>
          </tr>
        </tbody>
    </table>
<script>
    document.getElementById("TableHeight").addEventListener('change', selectTableHeight, false);
    function selectTableHeight() {
        var selectedOption = this.options[this.selectedIndex].value;
        var TableHeight = document.querySelector("#table-scroll");
        var iHeight = (selectedOption * 30.8);
        TableHeight.style.height = iHeight+"px;";
//        document.querySelector("#table-scroll").innerHTML = TableHeight;
//console.log(TableHeight);
    }
</script>
<?php } ?>

<?php
    if ($aOrder['order'] != 'DESC') {
// include the required file for Javascript admin
        if (file_exists(WB_PATH.'/modules/jsadmin/jsadmin_backend_include.php'))
        {
//        $js_buttonCell = 6;
            include(WB_PATH.'/modules/jsadmin/jsadmin_backend_include.php');
        }
    }
?>

