<?php

/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if (!\defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 Not Found'; flush(); exit;}
/* -------------------------------------------------------- */
 try {
    $sAppPath = \dirname(\dirname(__DIR__));
    if (!\function_exists('rm_full_dir')) {require ($sAppPath.'/framework/functions.php');}
    $aRemoveDirs = [
        'js/carhartl-jquery-cookie-92b7715',
        ];
    $aRemoveFiles = [
        'js/CookieNotice.js',
        'css/CookieNotice.css',
        ];

    $sAbsTemplatePath =__DIR__.'/';
/* */
    if (\is_writable($sAppPath.'/temp/cache')) {
        \Translate::getInstance()->clearCache();
    }

    foreach ($aRemoveDirs as $sPathname){
        if (\is_writeable($sAbsTemplatePath.$sPathname)) {
            rm_full_dir ($sAbsTemplatePath.$sPathname);
        }
    }

    foreach ($aRemoveFiles as $sFilename){
        if (\is_writeable($sAbsTemplatePath.$sFilename)) {
            \unlink ($sAbsTemplatePath.$sFilename);
        }
    }
} catch (\Exception $ex) {

   if (!function_exists ('xnl2br')) {require(WB_PATH . '/framework/functions.php');}
    $sErrMsg = xnl2br(\sprintf('[%d] %s', $ex->getLine(), $ex->getMessage()));
    echo $sErrMsg;
}