<?php
/**
 *
 * Website Baker is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Website Baker is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
*/
/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * [$filename]
 *
 * @category     Addons
 * @package      theme
 * @subpackage   DefaultTheme
 * @copyright    WebsiteBaker Project <board@websitebaker@org>
 * @author       WebsiteBaker Project <board@i@websitebaker@org>
 * @author       Dietmar Wöllbrink <dietmar.woellbrink@websitebaker@org>
 * @license      http://www.gnu.org/licenses/gpl.html   GPL License
 * @version      1.3.x
 * @version      $Id: info.php 254 2019-03-17 18:32:03Z Luisehahne $
 * @lastmodified $Date: 2019-03-17 19:32:03 +0100 (So, 17. Mrz 2019) $
 * @since        File available since 2016-07-26
 * @description
 */

/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if (!defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 Not Found'; flush(); exit; }
/* -------------------------------------------------------- */
$template_directory     = 'DefaultTheme';
$template_name          = 'WebsiteBaker Default Theme v1.3.17';
$template_version       = '1.3.17';
$template_platform      = '2.12.1';
$template_function      = 'theme';
$template_author        = 'Johannes Tassilo Gruber, WebsiteBaker Project';
$template_license       = '<a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a>';
$template_description   = 'Default desktop backend theme for WebsiteBaker 2.12.x';

// end of file
