<?php
/**
 *
 * @category        frontend
 * @package         account
 * @author          WebsiteBaker Project
 * @copyright       Ryan Djurovich
 * @copyright       WebsiteBaker Org. e.V.
 * @link            https://websitebaker.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.10.1
 * @requirements    PHP 5.6 and higher
 * @version         $Id: signup.php 267 2019-03-21 16:44:22Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/account/signup.php $
 * @lastmodified    $Date: 2019-03-21 17:44:22 +0100 (Do, 21. Mrz 2019) $
 *
 */

if (!defined('SYSTEM_RUN') ){ require(dirname(__DIR__).'/config.php'); }

    if (!(int)FRONTEND_SIGNUP || (int)(isset($_SESSION['USER_ID']) ? $_SESSION['USER_ID'] : 0)) {
        if (INTRO_PAGE) {
            $no_intro = true;
        }
        include dirname(__DIR__).'/index.php';
    }

    if (ENABLED_ASP && isset($_POST['username']) && ( // form faked? Check the honeypot-fields.
        (!isset($_POST['submitted_when']) || !isset($_SESSION['submitted_when'])) ||
        ($_POST['submitted_when'] != $_SESSION['submitted_when']) ||
        (!isset($_POST['email-address']) || $_POST['email-address']) ||
        (!isset($_POST['name']) || $_POST['name']) ||
        (!isset($_POST['full_name']) || $_POST['full_name'])
    )) {
        \header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found');
        echo '<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
        <html><head><title>404 Not Found</title></head><body><h1>Not Found</h1>
        <p>The You do not have permission to view the requested URL '.$_SERVER['SCRIPT_NAME'].'
        .</p><hr>'.$_SERVER['SERVER_SIGNATURE'].'</body></html>';
        \flush(); exit;
    }

// Load the language file
    if (!file_exists(WB_PATH.'/languages/'.DEFAULT_LANGUAGE.'.php')) {
        exit('Error loading language file '.DEFAULT_LANGUAGE.', please check configuration');
    } else {
        require_once(WB_PATH.'/languages/'.DEFAULT_LANGUAGE.'.php');
        $load_language = false;
    }

    $_SESSION['display_form'] = true;
    $page_id = $oRequest->getParam('page_id',FILTER_VALIDATE_INT);
    $page_id = (isset($_SESSION['PAGE_ID']) && ($_SESSION['PAGE_ID'] > 0) ? $_SESSION['PAGE_ID'] : $page_id);

//  Required page details
    $page_description = '';
    $page_keywords = '';
    define('PAGE_ID', $page_id);
    define('ROOT_PARENT', 0);
    define('PARENT', 0);
    define('LEVEL', 0);
    define('PAGE_TITLE', $TEXT['SIGNUP']);
    define('MENU_TITLE', $TEXT['SIGNUP']);
    define('MODULE', '');
    define('VISIBILITY', 'public');

//  Set the page content include file
    define('PAGE_CONTENT', WB_PATH.'/account/signup_form.php');

//  Set auto authentication to false
    $auto_auth = false;
//  Include the index (wrapper) file
    require(WB_PATH.'/index.php');
