<?php
if (!\defined('SYSTEM_RUN')) {require(\dirname(\dirname(\dirname((__DIR__)))).'/config.php');}
if (!\function_exists('make_dir')) {require (WB_PATH.'/framework/functions.php');}
    $oTrans = Translate::getInstance();
    $oTrans->enableAddon(ADMIN_DIRECTORY.'\\pages');
    $admin = new admin('##skip##','start', false, false);
    if (!$admin->is_authenticated() || !$admin->ami_group_member('1')){
        throw new \RuntimeException('Illegal file access!');
    }
    $oDb = \database::getInstance();
    $oRequest = \bin\requester\HttpRequester::getInstance();
    $page_id  = $oRequest->getParam('page_id', \FILTER_SANITIZE_NUMBER_INT);
    if ($page_id) {
        $sSql = 'SELECT `link` FROM `'.TABLE_PREFIX.'pages` WHERE `page_id` = '.$page_id;
        if ($sFilename = $oDb->get_one($sSql)){
            $sFile = basename($sFilename);
            $aPath = array_diff(explode('/',$sFilename),['',$sFile]);
            $sNewStyle = '/'.ltrim(implode('/',$aPath).'/'.page_filename($sFile), '/');
            $sOldStyle = $sFilename;
        echo sprintf('<div class="help-container" style="padding:10px;">
        <h4>Setting Format of access files for updated WebsiteBaker 2.8.x versions</h4>
        <p>Current directory and file name of the access file of this page <strong>%1$s</strong></p>
        <p> Field <strong>%5$s</strong> Checkbox a) <strong>%6$s</strong> b) <strong>%7$s</strong> </p>
        <ol class="pages-help">
            <li>a) Result after saving New file format <strong>%2$s</strong></li>
            <li>b) Result after saving Old file format <strong>%3$s</strong></li>
        </ol>
        <p>In the field <strong>%4$s</strong> a well readable and meaningful file name for the access file can be created independently of menu or page title. It is often used to create and index SEO-friendly links.<br/>
        <p><strong>Examples New format:</strong></p>
        <p>Enter menu title: <strong>Press release</strong><br />
        Enter file name: <strong>Press release - and - downloads</strong><br />
        Creates access file: <strong>press releases-and-downloads.php</strong></p>
        <p><strong>Examples Old format:</strong></p>
        <p>Enter menu title: <strong>Press release</strong><br />
        Enter file name: <strong>Press release - and - downloads</strong><br />
        Creates access file: <strong>press-releases---and---downloads.php</strong></p><div>',
        $sFilename,$sNewStyle,$sOldStyle,$oTrans->TEXT_SEO_TITLE,$oTrans->TEXT_PAGE_NEWSTYLE,$oTrans->TEXT_ENABLED,$oTrans->TEXT_DISABLED
        );
        } else {
            throw new \RuntimeException(sprintf("%s\n%s",$oDb->get_error(),$sSql));
        }
    }

//Translated with www.DeepL.com/Translator
