<?php
/*
 * Copyright (C) 2017 Manuela v.d.Decken <manuela@isteam.de>
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT OR THIS HEADER
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License 2 for more details.
 *
 * You should have received a copy of the GNU General Public License 2
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Description of \admin\addons\EN
 * @package      CoreTranslation
 * @copyright    Manuela v.d.Decken
 * @author       Manuela v.d.Decken
 * @license      GNU General Public License 2.0
 * @version      4.0.0
 * @revision     $Id: EN.php 252 2019-03-17 17:58:36Z Luisehahne $
 * @since        File available since 18.10.2017
 * @deprecated   no
 * @description  xxx
 */

//declare(strict_types = 1);

//declare(encoding = 'UTF-8');

if (!\defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 Not Found'; \flush(); exit;}

// Set the language information
$language_code = 'EN';
$language_name = 'English';
$language_version = '4.0.0';
$language_platform = '2.11.0';
$language_author = 'Manuela v.d.Decken, Dietmar Wöllbrink';
$language_license = 'GNU General Public License 2.0';

$TEXT['PAGE_LANGUAGES'] = 'Multilingualism';
$TEXT['PAGES_OLDSTYLE'] = 'Access File Settings';
$TEXT['TWIG_VERSION'] = 'Twig Version';
$TEXT['JQUERY_VERSION'] = 'jQuery Version';
$TEXT['JQUERY_CDN_LINK'] = 'Extern Url (CDN)';
$TEXT['CDN_EXTERN'] = 'Extern (CDN)';
$TEXT['RENAME_FILES_ON_UPLOAD'] = 'Forbidden Filetypes';
$TEXT['MEDIA_RESIZE'] = 'max. Media Images Size';
$TEXT['MEDIA_WIDTH'] = 'px width';
$TEXT['MEDIA_HEIGHT'] = 'px height';

$TEXT['EDITOR_ENABLE'] = 'Enable Editor';
$TEXT['EDITOR_DISABLE'] = 'Disable Editor';

$HEADING['LOGIN_SETTINGS'] = 'Frontend Login, Signup, General Data Protection Regulation';

$TEXT['DSGVO'] = 'Data Protection Directive';
$TEXT['DSGVO_LINK'] = 'Data Protection Url';
$TEXT['DSGVO_DISABLED'] = 'Reset Data Protection Directive';
$TEXT['TOGGLE'] = 'Enable or disable Data Protection Url';

$INFO = [
    'DSGVO' => 'Multiple selection, several entries can be selected. Select a privacy notice for each language!',
    'ENABLED_SIGNUP' => 'Activate for registration form',
    'LABEL_ENABLED_SIGNUP' => 'GDPR: Activate General Data Protection on the registration form',
    'ENABLED_LOGINFORM' => 'Activate for registration form',
    'LABEL_ENABLED_LOGINFORM' => 'GDPR: Activate  General Data Protection on the registration form',
    'ENABLED_LOSTPASSWORD' => 'Activate the Forgot Password form',
    'LABEL_ENABLED_LOSTPASSWORD' => 'GDPR: Activate  General Data Protection on the password reset form.',
];
