<?php
/**
 *
 * @category        module
 * @package         Form
 * @author          WebsiteBaker Project
 * @copyright       WebsiteBaker Org. e.V.
 * @link            http://websitebaker.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.3
 * @requirements    PHP 5.3.6 and higher
 * @version         $Id: add_field.php 68 2018-09-17 16:26:08Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/form/add_field.php $
 * @lastmodified    $Date: 2018-09-17 18:26:08 +0200 (Mo, 17. Sep 2018) $
 * @description
 */
// Include config file
if (!defined('SYSTEM_RUN')) {require( (\dirname(\dirname((__DIR__)))).'/config.php');}

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');

$sBacklink = ADMIN_URL.'/pages/modify.php?page_id='.$page_id;
if (!$admin->checkFTAN( $_SERVER["REQUEST_METHOD"] ))
{
//    $admin->print_header();
    $admin->print_error($MESSAGE['GENERIC_SECURITY_ACCESS'], $sBacklink);
}
//$aFtan = $admin->getFTAN('');

// Get new order
$order = new \order(TABLE_PREFIX.'mod_form_fields', 'position', 'field_id', 'section_id');
$position = $order->get_new($section_id);
$field_id = 0;
$ModifyLink = WB_URL.'/modules/form/modify_field.php?page_id='.$page_id.'&section_id='.$section_id.'&field_id=';
try {
// Insert new row into database
    $sql = 'INSERT INTO `'.TABLE_PREFIX.'mod_form_fields` SET '
        . '`section_id` = '.$database->escapeString($section_id).', '
        . '`page_id` = '.$database->escapeString($page_id).', '
        . '`position` = '.$database->escapeString($position).', '
        . '`title` = \'\', '
        . '`type` = \'\', '
        . '`required` = 0, '
        . '`value` = \'\', '
        . '`extra` = \'\' ';
    if(!$database->query($sql)) {
        $admin->print_error($database->get_error(), $sBacklink );
    }
    $field_id = ($database->getLastInsertId());
$admin->print_success($TEXT['SUCCESS'], $ModifyLink.$admin->getIDKEY($field_id));
} catch(\ErrorMsgException $e) {
    $admin->print_error($database->get_error(), $ModifyLink.$admin->getIDKEY($field_id));
}

// Print admin footer
$admin->print_footer();
