<?php
/**
 *
 * @category        module
 * @package         Form
 * @author          WebsiteBaker Project
 * @copyright       WebsiteBaker Org. e.V.
 * @link            http://websitebaker.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.3
 * @requirements    PHP 5.3.6 and higher
 * @version         $Id: delete_field.php 284 2019-03-22 08:13:16Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/form/delete_field.php $
 * @lastmodified    $Date: 2019-03-22 09:13:16 +0100 (Fr, 22. Mrz 2019) $
 * @description
 */

if (!defined('SYSTEM_RUN')) {require( dirname(dirname((__DIR__))).'/config.php');}

$oLang = Translate::getInstance();
$oLang->enableAddon('modules\\'.basename(__DIR__));
// Include WB admin wrapper script
$update_when_modified = true; // Tells script to update when this page was last updated
require(WB_PATH.'/modules/admin.php');
$sBackLink = ADMIN_URL.'/pages/modify.php?page_id='.$page_id;
// Get id
$field_id = intval($admin->checkIDKEY('field_id', false, 'GET'));
if (!$field_id) {
 $admin->print_error($oLang->MESSAGE_GENERIC_SECURITY_ACCESS, $sBackLink);
}
    $sql  = 'SELECT `title` FROM `'.TABLE_PREFIX.'mod_form_fields` '
          . 'WHERE `field_id` = '.$database->escapeString($field_id);
    if ($sTitle = $database->get_one($sql)){;}

$sSectionIdPrefix = (defined('SEC_ANCHOR') && !empty(SEC_ANCHOR) ? SEC_ANCHOR : 'Sec' );

// Delete row
    $sql  = 'DELETE FROM `'.TABLE_PREFIX.'mod_form_fields` '
          . 'WHERE `field_id` = '.$database->escapeString($field_id);
    $database->query($sql);

// Include the ordering class
require(WB_PATH.'/framework/class.order.php');

// Create new order object an reorder
$order = new order(TABLE_PREFIX.'mod_form_fields', 'position', 'field_id', 'section_id');

if(!$order->clean($section_id)) {
    $admin->print_error($database->get_error(), $sBackLink.'#'.$sSectionIdPrefix.$section_id);
} else {
    $oLang->enableAddon('modules\\'.basename(__DIR__));
    $admin->print_success(sprintf($oLang->MESSAGE_FIELD_DELETED, $sTitle), $sBackLink.'#'.$sSectionIdPrefix.$section_id);
}

// Print admin footer
$admin->print_footer();
