<?php
/**
 *
 * @category        module
 * @package         Form
 * @author          WebsiteBaker Project
 * @copyright       WebsiteBaker Org. e.V.
 * @link            http://websitebaker.org/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.3
 * @requirements    PHP 5.3.6 and higher
 * @version         $Id: DE.php 68 2018-09-17 16:26:08Z Luisehahne $
 * @filesource      $HeadURL: svn://isteam.dynxs.de/wb/2.12.x/branches/main/modules/form/languages/DE.php $
 * @lastmodified    $Date: 2018-09-17 18:26:08 +0200 (Mo, 17. Sep 2018) $
 * @description
 */
/* -------------------------------------------------------- */
// Must include code to prevent this file from being accessed directly
if (!\defined('SYSTEM_RUN')) {header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 File not found'; flush(); exit;}
/* -------------------------------------------------------- */

//Modulbeschreibung
$module_description = 'Mit diesem Modul können sie ein beliebiges Formular für ihre Seite erzeugen';

//Variablen fuer backend Texte
$MOD_FORM['SETTINGS'] = 'Formular Einstellungen';
$MOD_FORM['CONFIRM'] = 'Bestätigung';
$MOD_FORM['SUBMIT_FORM'] = 'Absenden';
$MOD_FORM['EMAIL_SUBJECT'] = 'Sie haben eine Nachricht über {{WEBSITE_TITLE}} erhalten';
$MOD_FORM['SUCCESS_EMAIL_SUBJECT'] = 'Sie haben ein Forumlar über {{WEBSITE_TITLE}} gesendet';

$MOD_FORM['SUCCESS_EMAIL_TEXT']  = 'Vielen Dank für die Übermittlung Ihrer Nachricht an {{WEBSITE_TITLE}}. '.PHP_EOL;
$MOD_FORM['SUCCESS_EMAIL_TEXT'] .= 'Wir setzen uns schnellstens mit Ihnen in Verbindung.';

$MOD_FORM['SUCCESS_EMAIL_TEXT_GENERATED'] = "\n"
."******************************************************************************\n"
."Dies ist eine automatisch generierte E-Mail. Die Absenderadresse dieser E-Mail\n"
."ist nur zum Versand, und nicht zum Empfang von Nachrichten eingerichtet!\n"
."Falls Sie diese E-Mail versehentlich erhalten haben, setzen Sie sich bitte\n"
."mit uns in Verbindung und löschen diese Nachricht von Ihrem Computer.\n"
."******************************************************************************\n";

$MOD_FORM['REPLYTO'] = 'E-Mail Antwortadresse';
$MOD_FORM['FROM'] = 'Absender';
$MOD_FORM['TO'] = 'Empfänger';

$MOD_FORM['EXCESS_SUBMISSIONS'] = 'Dieses Formular wurde zu oft aufgerufen. Bitte versuchen Sie es in einer Stunde noch einmal.';
$MOD_FORM['INCORRECT_CAPTCHA'] = 'Die eingegebene Prüfziffer stimmt nicht überein. Wenn Sie Probleme mit dem Lesen der Prüfziffer haben, bitte schreiben Sie eine E-Mail an den <a href="mailto:{{WEBMASTER_EMAIL}}">Webmaster</a>';

$MOD_FORM['PRINT']  = 'Versand einer E-Mail Bestätigung ist nicht möglich! ';
$MOD_FORM['PRINT'] .= 'Drucken Sie bitte diese Nachricht aus!';
$MOD_FORM['RECIPIENT'] = 'Die E-Mail Bestätigung erfolgt nur an angemeldete Benutzer!';
$MOD_FORM['LOAD_LAYOUT'] = 'Standard Layout laden';
$MOD_FORM['CAPTCHA_PLACEHOLDER'] = 'Neuer Platzhalter zum Einbinden von Captcha im Layout';
$MOD_FORM['DSGVO_PLACEHOLDER'] = 'Neuer Platzhalter zum Einbinden der Datenschutzrichtlinie im Layout';
$MOD_FORM['REQUIRED_FIELDS'] = 'Bitte folgende Angaben ergänzen!';
$MOD_FORM['ERROR'] = 'E-Mail konnte nicht gesendet werden!!';
$MOD_FORM['SPAM'] = 'ACHTUNG! Beantworten einer ungeprüften E-Mail kann als Spam abgemahnt werden! ';
$MOD_FORM['DSGVO'] = 'Fehlende Bestätigung und Zustimmung zur Datenschutzrichtlinie';

$MOD_FORM['DSGVO_ENABLED'] = 'Zustimmung zur Datenschutzrichtlinie erfolgt %s';
$MOD_FORM['DSGVO_DIABLED'] = 'Fehlende Zustimmung zur Datenschutzrichtlinie %s';
$MOD_FORM['DSGVO_NOT_INUSE'] = 'Zustimmung zur Datenschutzrichtlinie ist deaktiviert %s';

$MESSAGE['INCORRECT_CAPTCHA'] = 'Die eingegebene Prüfziffer stimmt nicht überein. Wenn Sie Probleme mit dem Lesen der Prüfziffer haben, schreiben Sie bitte eine E-Mail an: <a href="mailto:{{WEBMASTER_EMAIL}}">Webmaster</a>';
$MESSAGE['FIELD_DELETED'] = 'Feld <b>[%s]</b> erfolgreich gelöscht';

$TEXT['GUEST'] = 'Gast';
$TEXT['UNKNOWN'] = 'unbekannt';
$TEXT['PRINT_PAGE'] = 'Seite drucken';
$TEXT['REQUIRED_JS'] = 'Javascript erforderlich';
$TEXT['SUBMISSIONS_PERPAGE'] = 'Gespeicherte Einträge pro Seite';
$TEXT['ADMIN'] = 'Admin';
$MENU['USERS'] = 'Benutzer';
$TEXT['BACKUP'] = 'Frontend Vorlagen Exportieren/Importieren';
$TEXT['EXPORT'] = 'Exportieren';
$TEXT['IMPORT'] = 'Importieren';
$TEXT['FORM_NONE_FOUND'] ='Keine Einträge gefunden.';
$TEXT['MODIFY_FIELD'] = 'Feld bearbeiten';
$TEXT['ADD_FIELD'] = 'Feld hinzufügen';
$TEXT['MODIFY_DELETE_FIELD'] = 'Feld ändern oder löschen';
$TEXT['ADD_GROUP'] = 'Gruppe hinzufügen';
$TEXT['MODIFY_DELETE_GROUP'] = 'Gruppe ändern oder löschen';
$TEXT['DSGVO'] = 'Datenschutzrichtlinie';
$TEXT['DSGVO_LINK'] = 'Datenschutz Url';
$TEXT['EMPTY'] = '&#160;';
$TEXT['EXTRA'] = 'Extra Felder';

$FORM_MESSAGE = array (
    'ARCHIVE_DELETED' => 'Archivdatei erfolgreich gelöscht.',
    'ARCHIVE_NOT_DELETED' => 'Archivdatei konnte nicht gelöscht werden.',
    'CONFIRM_FIELD_DELETING' => 'Möchten Sie ausgewähltes Feld wirklich löschen?',
    'DELETED' => 'Feld erfolgreich gelöscht.',
    'ALL_DELETED' => 'Alle Felder erfolgreich gelöscht.',
    'DELETE_FIELDS' => 'Felder löschen',
    'MISSING_UNMARKED_ARCHIVE_FILES' => 'Keine Fields-Vorlage zu importieren ausgewählt.',
    'GENERIC_MISSING_ARCHIVE_FILE' => 'Sie haben keine Archiv Datei ausgewählt.',
    'GENERIC_MISSING_TITLE' => 'Geben sie bitte einen Feldnamen ein.',
    'GENERIC_LOCAL_DOWNLOAD' => 'Archiv herunterladen',
    'GENERIC_LOCAL_UPLOAD' => 'Lokales Archiv laden und wiederherstellen',
    'DELETE_LAYOUT' => 'Alle Formular Felder entfernen.',
    'CONFIRM_DELETE_LAYOUT' => 'Sind sie sicher? Sollen alle Formular Felder entfernt werden.',
    'CAPTCHA_STYLE' => 'Captcha Style Attribute',
    'CAPTCHA_ACTION' => 'Captcha Anzeige',
    'ALL' => 'Output an div container with varying columns (default).',
    'IMAGE' => 'Output the &lt;img&gt;-tag for the image only.',
    'IMAGE_IFRAME' => 'Output only a &lt;img&gt;-tag.',
    'INPUT' => 'Output only the input-field, you can add style="...;" or class="..." Attribute',
    'TEXT' => 'Text output',

    'FILE_TITLE_VALUE' => 'Datei nicht gefunden oder keinen Namen eingegeben!',
    'LSETTINGS' => 'Layouteinstellungen',
    'TEXT_SELECT_BOX' => 'Auswahl Layout',
    'LAYOUT_TITLE' => 'Layout Dateiname',
    'LAYOUT_TITLE_NEW' => 'Neuer Layout Dateiname',
    'LAYOUT_DESCRIPTION' => 'Layout Beschreibung',
    'LAYOUT_SETTINGS' => 'Layout Einstellungen',
    'LAYOUT' => 'Layout Ausgabe',
    'DOWNLOAD' => 'Herunterladen',
    'IMPORT_DELETED' => '%s wurde erfolgreich gelöscht',
    'IMPORT_SUCCESS' => '%s wurde erfolgreich importiert',
    'EXPORT_SUCCESS' => '%s wurde erfolgreich exportiert',
    'DSGVO' => 'Hiermit bestätige ich, dass ich die <a href="%s" target="_blank" rel="noopener">Datenschutzerklärung</a> gelesen habe und stimme dieser durch Absenden des Formulars zu.',
   );

$FORM_HELP['IMPORT_FIELDS'] = 'Importieren Sie Formularfelder, die in einer XML-Datei gespeichert sind, um sie in ein leeres Formular einzufügen. Wählen Sie eine Datei aus und laden Sie sie auf Ihren lokalen Rechner. Wählen Sie eine Datei aus, und Sie können die Datei löschen';
$FORM_HELP['ADD_FIEDS'] = 'Importiert und fügt Formular Felder in ein leeres Formular ein.';
